aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/espresso/ChangeLog8
-rw-r--r--sci-physics/espresso/Manifest17
-rw-r--r--sci-physics/espresso/espresso-9999.ebuild (renamed from sci-physics/espresso/espresso-2.2.0b.ebuild)53
3 files changed, 41 insertions, 37 deletions
diff --git a/sci-physics/espresso/ChangeLog b/sci-physics/espresso/ChangeLog
index b1050df59..75a907947 100644
--- a/sci-physics/espresso/ChangeLog
+++ b/sci-physics/espresso/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for sci-physics/espresso
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*espresso-3.0.0 (20 Apr 2011)
+
+ 20 Apr 2011; Christoph Junghans <ottxor@gentoo.org> -espresso-2.2.0b.ebuild,
+ +espresso-9999.ebuild:
+ version bump
+
*espresso-2.2.0b (29 Jul 2010)
29 Jul 2010; Christoph Junghans <kleiner_otti@gmx.de>
diff --git a/sci-physics/espresso/Manifest b/sci-physics/espresso/Manifest
index 9c63648c2..17d26f9b3 100644
--- a/sci-physics/espresso/Manifest
+++ b/sci-physics/espresso/Manifest
@@ -1,14 +1,17 @@
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
-DIST Espresso-2.2.0b.tar.gz 5020436 RMD160 8a2fec1956e2314aee66e382ef39824143914c81 SHA1 1670a15ea6b2e8f639c932f5d19b140c334688ee SHA256 69882313d15a186f17153a4b9784af28338254a7f6566668a3b44c326ddf29f0
-EBUILD espresso-2.2.0b.ebuild 2136 RMD160 029628ab719344dbf845375cd46319d6f34fad5c SHA1 66d6161b42d7fd06ffb45f9c2718a74bf3a7690f SHA256 59aefd8b4c6df5be3ea2da7373339163fd44181252be59cbc5088ac3eb26d8b3
-MISC ChangeLog 788 RMD160 216433a4029eb4218c25072459f9c932d5aced90 SHA1 372247874fd431d0688f18972cbb4b4803357b1f SHA256 ce873e080e8151b6259cbd27fe8a54e0a8f012f1e2b94361c7636669bab5cd9c
+EBUILD espresso-9999.ebuild 2177 RMD160 55bab563e7f8b216bee7d618871d6caddefe4122 SHA1 364f1c690ef16d9533ddf4b744f41d15a6a97a21 SHA256 417d78bca5e220ea4f3fadadfd5b311912e66430892f3ccaf59968962e48e125
+MISC ChangeLog 939 RMD160 1255798fb04df83c6490a3e8514bcecabf25fe88 SHA1 46de0580dcaacf413bcd8d2d930f5077ed1ddb66 SHA256 e0145ece907c91b819fa3b54a645c15a47b57c0a98ffc652dd5bb2bb78439844
MISC metadata.xml 291 RMD160 5ae1471fd0e7b60d7de7027f8b807dcd005bd0b0 SHA1 10bcd36795a8dcc9ebf5b720fe79bd42a9518b7a SHA256 112c54edd1ef7cbe34d7132ba3fd95a0728b9298eea9b2e957fa5e40962842ea
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.16 (GNU/Linux)
+Version: GnuPG v2.0.17 (GNU/Linux)
-iEYEARECAAYFAk08YpgACgkQy0OE/ans1/n78ACeJ7u9N4bVotHrRbcZyrWtMJP2
-wWcAnjMtldn33W9HdCbYji4sr0rjo0ns
-=n3Do
+iQEcBAEBAgAGBQJNruGIAAoJEOeBhlrCAAWGIIIH+gOpVqoEd/ltxrPsDqkkjVts
+W5HC3P0qUX/kGtZK0vsOkvlX1eZqsvtBvMeZqPGVYBI+rOUzFpHaKaVTerxdB20W
+/or07+hEzku3o9K47jXbqoUke1k3izO/615NtJ2lHX1K0V5JscZuz3Um9gXjokoW
+P4+yqeRzuz40HAld6spc75KYnStorOFPmlly2tX6MPES6/dvD9F4BtJo3GFgraJF
+s0y2sqhsbXvAS+l5jpC3BLeb3JpovTUSWhPj1AzYxTYYAlgnuuYC1/xoU4FZULVy
+wzPjm2yTGvompyL680l3Kb5ZaXvlVUkZs73rgUSVC8oqm8MXYnV6a3c8FF9Cf1M=
+=P8mb
-----END PGP SIGNATURE-----
diff --git a/sci-physics/espresso/espresso-2.2.0b.ebuild b/sci-physics/espresso/espresso-9999.ebuild
index 5130e4228..3177b1281 100644
--- a/sci-physics/espresso/espresso-2.2.0b.ebuild
+++ b/sci-physics/espresso/espresso-9999.ebuild
@@ -1,18 +1,21 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/espresso/espresso-3.0.0.ebuild,v 1.1 2011/04/20 13:03:00 ottxor Exp $
-EAPI="3"
+EAPI="4"
-inherit autotools savedconfig
+inherit autotools-utils git savedconfig
DESCRIPTION="Extensible Simulation Package for Research on Soft matter"
HOMEPAGE="http://www.espressomd.org"
-SRC_URI="http://espressomd.org/mediawiki/images/f/f3/Espresso-${PV}.tar.gz"
+SRC_URI=""
-LICENSE="GPL-2"
+EGIT_REPO_URI="git://git.savannah.nongnu.org/espressomd.git"
+EGIT_BRANCH="master"
+
+LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~x86 ~amd64"
+KEYWORDS="~x86"
IUSE="X doc examples fftw mpi packages test -tk"
RDEPEND="dev-lang/tcl
@@ -22,60 +25,52 @@ RDEPEND="dev-lang/tcl
tk? ( >=dev-lang/tk-8.4.18-r1 )"
DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen
+ doc? ( app-doc/doxygen[-nodot]
virtual/latex-base )"
-#S="${WORKDIR}/${PN}-${PV:0:5}"
-
src_prepare() {
- ln -s Makefile-am.am Makefile.am
+ sed -i 's/^CFLAGS/#&/' configure.ac
+ autotools-utils_src_prepare
eautoreconf
restore_config myconfig.h
}
src_configure() {
- econf \
- --disable-processor-optimization \
+ myeconfargs=(
$(use_with fftw) \
$(use_with mpi) \
$(use_with tk) \
$(use_with X x)
+ )
+ autotools-utils_src_configure
}
src_compile() {
- emake || die "emake failed"
+ autotools-utils_src_compile
if use doc; then
- emake doc || die "emake doc failed"
+ autotools-utils_src_compile doc || die "emake doc failed"
fi
}
src_install() {
- emake DESTDIR="${D}" install || die "Installing failed"
+ autotools-utils_src_install
- dodoc INSTALL README RELEASE_NOTES
+ dodoc AUTHORS NEWS README ChangeLog
insinto /usr/share/${PN}
- doins myconfig-sample.h
+ doins ${AUTOTOOLS_BUILD_DIR}/myconfig-sample.h
- if [ -f myconfig.h ]; then
- save_config myconfig.h
- else
- save_config config/myconfig.h
- fi
+ save_config ${AUTOTOOLS_BUILD_DIR}/src/myconfig-final.h
if use doc; then
- newdoc doc/ug/ug.pdf user_guide.pdf
- dohtml -r doc/dg/html/*
- newdoc doc/tutorials/tut2/tut2.pdf tutorial.pdf
+ newdoc ${AUTOTOOLS_BUILD_DIR}/doc/ug/ug.pdf user_guide.pdf
+ dohtml -r ${AUTOTOOLS_BUILD_DIR}/doc/dg/html/*
+ newdoc ${AUTOTOOLS_BUILD_DIR}/doc/tutorials/tut2/tut2.pdf tutorial.pdf
fi
if use examples; then
insinto /usr/share/${PN}/examples
doins -r samples/*
- #the testsuite are also good examples
- rm testsuite/Makefile* testsuite/test.sh.in
- insinto /usr/share/${PN}/testsuite
- doins testsuite/*
fi
if use packages; then